Security Enhanced Linux Reference Policy

# Layer: admin

## Module: vpn

Interfaces

### Description:

Virtual Private Networking client

### Interfaces:

vpn_domtrans( domain )

##### Summary

Execute VPN clients in the vpnc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vpn_kill( domain )

##### Summary

Send VPN clients the kill signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vpn_run( domain , role )

##### Summary

Execute VPN clients in the vpnc domain, and allow the specified role the vpnc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the vpnc domain.

vpn_signal( domain )

##### Summary

Send generic signals to VPN clients.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vpn_signull( domain )

##### Summary

Send signull to VPN clients.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vpnc_dbus_chat( domain )

##### Summary

Send and receive messages from Vpnc over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return